VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 58
声望: 0

在做海通期货的CTP实盘和仿真穿透式认证时, 发现仿真CTP的 API版本与 vnpy ctptest 内置的不一样,需要替换 仿真CTP的 API版本才能正常订阅行情。

请问实盘的话,如果期货公司提供的 CTP实盘 API版本 与 VNPY内置的 CTP实盘 API版本不一样的话,是否需要替换到 期货公司提供的 CTP实盘 API版本呢?
还是说 实盘CTP的API版本,期货公司提供的 和 VNPY 内置的,选最新的API版本进行交易呢?

Administrator
avatar
加入于:
帖子: 4510
声望: 322

对的,如果不一致需要替换

Member
avatar
加入于:
帖子: 58
声望: 0

用Python的交易员 wrote:

对的,如果不一致需要替换

那实盘的CTP API版本,需要实时更新到最新的版本吗? 不清楚 VNPY内置的 CTP API会不会定时更新呢?

Member
avatar
加入于:
帖子: 4868
声望: 292

取决于期货公司了

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】